## sheepdog 0.2.1

=== debian/changelog ===
sheepdog (0.2.1-0ubuntu2) natty; urgency=low

  * debian/upstart: Convert init script to upstart. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Feb 2011 10:40:33 -0500

sheepdog (0.2.1-0ubuntu1) natty; urgency=low

  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Feb 2011 14:26:19 -0500

sheepdog (0.2.0-0ubuntu1) natty; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 16 Jan 2011 15:17:06 -0500

## sheepdog 0.2.2

=== debian/changelog ===
sheepdog (0.2.2-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 10 Mar 2011 13:55:12 -0500

## sheepdog 0.8.3

=== tests/dynamorio/journaling/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

SET(DynamoRIO_DIR "~/dynamorio/exports/cmake")
find_package(DynamoRIO)

add_library(journaling SHARED journaling.c ../common.c)
configure_DynamoRIO_client(journaling)

use_DynamoRIO_extension(journaling drwrap)
use_DynamoRIO_extension(journaling drcontainers)

## sheepdog 0.2.3

=== debian/changelog ===
sheepdog (0.2.3-0ubuntu2) precise; urgency=low

  * debian/patches/ldadd-ftbfs.patch: Added -lcoroipcc to LDADD in 
    sheep/Makefile.in, resolving FTBFS with --no-add-needed. (LP: #935442)
  * debian/watch: Introduced watch file.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 24 Feb 2012 09:05:25 +0000

sheepdog (0.2.3-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Jun 2011 12:58:14 -0400

=== debian/control ===
Source: sheepdog
Section: admin
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, pkg-config, libcorosync-dev
Standards-Version: 3.9.1
Homepage: http://www.osrg.net/sheepdog/

Package: sheepdog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, corosync
Description: A distributed storage system for KVM.
 Sheepdog is a distributed storage system for KVM. It provides highly available 
 block level storage volumes that can be attached to KVM virtual machines. 
 Sheepdog scales to several hundreds nodes, and supports advanced volume management 
 features such as snapshot, cloning, and thin provisioning.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_autoconfigure:
	./autogen.sh
	dh_auto_configure

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/(.*)/sheepdog-$1\.tar\.gz/" \
 https://github.com/collie/sheepdog/tags .*/tarball/v(\d[\d\.]+)

## sheepdog 0.2.4

=== debian/changelog ===
sheepdog (0.2.4-1) experimental; urgency=low

  * New upstream version
  * [e0f4d8a] Don't install init.d script

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Nov 2011 15:35:17 +0100

sheepdog (0.2.0~0.git452bc6-1) unstable; urgency=low

  * Initial release (Closes: #606134)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Dec 2010 11:06:30 +0100

=== debian/control ===
Source: sheepdog
Section: admin
Priority: extra
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 7.0.50~),
 automake,
 autoconf,
 pkg-config,
 libcorosync-dev
Standards-Version: 3.9.1
Homepage: http://www.osrg.net/sheepdog/

Package: sheepdog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, corosync
Description: Distributed storage system for KVM/QEMU
 Sheepdog provides highly available block level storage volumes that can be
 attached to KVM/QEMU virtual machines. Sheepdog scales to several hundreds
 nodes, and supports advanced volume management features such as snapshot,
 cloning, and thin provisioning.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

build: build-stamp
build-stamp:
	dh build --before configure
	./autogen.sh
	dh_auto_configure
	dh build --after configure
	touch build-stamp


override_dh_install:
	dh_install
	rm -rf debian/sheepdog/etc/init.d/

## sheepdog 0.5.6

=== debian/changelog ===
sheepdog (0.5.6-2) unstable; urgency=low

  * Enable sheepfs support: build-dep on libfuse-dev.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 19 Apr 2013 13:12:43 +0800

sheepdog (0.5.6-1) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #694518
  * [Debconf translation updates]
  * Czech (Michal Simunek).  Closes: #696391
  * French (Julien Patriarca).  Closes: #696801
  * Portuguese (Pedro Ribeiro).  Closes: #696982
  * German (Chris Leick).  Closes: #697091
  * Spanish; (Camaleón).  Closes: #697106
  * Japanese (victory).  Closes: #697114
  * Russian (Yuri Kozlov).  Closes: #697179
  * Italian (Beatrice Torracca).  Closes: #697214
  * Galician (Jorge Barreiro).  Closes: #697228
  * Polish (Michał Kułach).  Closes: #697238
  * Swedish (Martin Bagge / brother).  Closes: #697293
  * Danish (Joe Hansen).  Closes: #697295
  
  [ Thomas Goirand <zigo@debian.org> ]
  * debian/copyright is now in machine readable format 1.0.
  * Manages /etc/default/sheepdog in a policy compliant way (eg: the file is
  copied from /usr/share/sheepdog in postinst, and isn't a conffiles).
  * Removes Guido Guenther <agx@debian.org> from uploaders as requested.
  * Uses debhelper 9 and compat 9, so there's hardening build flags.
  * More permisive sed call in postinst (eg: allows spaces and tabs before the
  variable).
  * Corrects debian/rules get-vcs-source to work like with the rest of the
  openstack packages.
  * Using xz as compression.
  * Added upstream changelog (out of a "git log" output).

  [ YunQiang Su <wzssyqa@gmail.com> ]
  * Import the new upstream tag 0.5.6 (Closes: #671466).
  * Create master branch act as upstream branch.
  * Add Simplified Chinese (zh_CN) translation for debconf.
  * Use pidfile to ensure service stop, remove the former hack.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 08 Feb 2013 11:04:58 +0800

sheepdog (0.5.4-1) unstable; urgency=low

  * Add debian/watch; remove debian/gbp.conf
  * Imported Upstream version 0.5.4
  * Recommends corosync but not dependends now
  * Remove 0001-Skip-the-tests.patch and 0002-Add-collie-manpage.patch:
    in upstream tarball now
  * Use dh_autoreconf instead of running autogen.sh in rules
  * Add liburcu-dev to build depends
  * Add debconf and zookeeper support
  * Start service default
  * Bump to stand version 3.9.4; Priority to optional
  * Set PKG OpenStack <openstack-devel@lists.alioth.debian.org> as maintainer
    Set YunQiang Su <wzssyqa@gmail.com> and Guido Guenther <agx@debian.org>
      as Uploaders.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 24 Oct 2012 11:01:24 +0800

sheepdog (0.3.0-3) unstable; urgency=low

  * [907284e] Make sheepdog linux-any since configure bails out on non linux
    architectures.
  * [c87c560] Add collie manpage. Thanks to Jens WEBER

 -- Guido Günther <agx@sigxcpu.org>  Wed, 04 Jul 2012 22:47:41 +0200

sheepdog (0.3.0-2) unstable; urgency=low

  * Upload to unstable
  * [eb4b22d] Use override instead of --before and --after to simplify the
    build logic and avoid the deprecation warning

 -- Guido Günther <agx@sigxcpu.org>  Wed, 04 Jul 2012 14:54:21 +0200

sheepdog (0.3.0-1) experimental; urgency=low

  [ Guido Günther ]
  * [9d6c032] Add gbp.conf
  * [3cf6e61] Bump Standards version
  * [1a4ec06] Add missing $remote_fs dependency
  * [450ea59] Install collie bash completion

  [ Jens Weber ]
  * [7d300a2] Add init script
  * [7ac0976] Skip the tests for now since they don't run from within pbuilder

 -- Guido Günther <agx@sigxcpu.org>  Sun, 24 Jun 2012 21:41:01 +0200

=== debian/control ===
Source: sheepdog
Section: admin
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 bash-completion,
 pkg-config,
 libcorosync-dev,
 liburcu-dev,
 libzookeeper-mt-dev [linux-any],
 libfuse-dev,
 po-debconf
Standards-Version: 3.9.4
Homepage: http://www.osrg.net/sheepdog/
Vcs-Browser: http://git.debian.org/?p=openstack/sheepdog.git
Vcs-Git: git://git.debian.org/openstack/sheepdog.git

Package: sheepdog
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: corosync
Description: distributed storage system for KVM/QEMU
 Sheepdog provides highly available block level storage volumes that can be
 attached to KVM/QEMU virtual machines. Sheepdog scales to several hundred
 nodes, and supports advanced volume management features such as snapshots,
 cloning, and thin provisioning.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEBVERS         ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION         ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
DEBFLAVOR       ?= $(shell dpkg-parsechangelog | grep -E ^Distribution: | cut -d" " -f2)
DEBPKGNAME      ?= $(shell dpkg-parsechangelog | grep -E ^Source: | cut -d" " -f2)
UPSTREAM_GIT    ?= git://github.com/collie/sheepdog.git
GIT_TAG         ?= $(shell echo v'$(VERSION)' | sed -e 's/~/_/')

%:
	dh $@ --with autoreconf

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

UNAME := $(shell uname)
ifeq ($(UNAME),Linux)
	ZOOKEEPER=--enable-zookeeper
endif

override_dh_auto_configure:
	dh_auto_configure -- ${ZOOKEEPER}

override_dh_install:
	dh_install
	rm -rf debian/sheepdog/etc/init.d/
	dh_bash-completion

get-vcs-source:
	git remote add upstream $(UPSTREAM_GIT) || true  
	git fetch upstream
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] ; then \
		git archive --prefix=$(DEBPKGNAME)-$(GIT_TAG)/ $(GIT_TAG) | xz >../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
	fi
	if [ ! -e ../build-area ] ; then mkdir ../build-area ; fi
	if [ ! -e ../build-area ] ; then cp ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ../build-area ; fi
	if ! git checkout master ; then \
		echo "No upstream branch: checking out" ; \
		git checkout -b master upstream/master ; \
	fi
	git checkout debian/$(DEBFLAVOR)

display-po-stats:
	cd $(CURDIR)/debian/po; for i in *.po ;do \
		echo -n $$i": ";\
		msgfmt -o /dev/null --statistic $$i ; \
	done

call-for-po-trans:
	podebconf-report-po --call --withtranslators --languageteam

gen-upstream-changelog:
	git checkout master
	git reset --hard $(GIT_TAG)
	git log >$(CURDIR)/../CHANGELOG 
	git checkout debian/$(DEBFLAVOR)
	mv $(CURDIR)/../CHANGELOG $(CURDIR)/debian/CHANGELOG
	git add $(CURDIR)/debian/CHANGELOG
	git commit -a -m "Updated upstream changelog"

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

=== debian/watch ===
version=3
https://github.com/collie/sheepdog/tags .*/v(.*).tar.gz

## sheepdog 0.6.0

=== debian/changelog ===
sheepdog (0.6.0-2~exp1) experimental; urgency=low

  * Fix another amd64 only assembly in include/logger.h.
  * Fix some gcc warning about alignment.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 25 Jul 2013 22:56:30 +0800

sheepdog (0.6.0-2~exp) experimental; urgency=low

  * In lib/logger.c it use assembly only for amd64.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 23 Jul 2013 16:31:16 +0800

sheepdog (0.6.0-1) unstable; urgency=low

  * Imported Upstream version 0.6.0
  * Don't source /lib/init/vars.sh in init

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 19 Jul 2013 23:13:49 +0800

## sheepdog 0.7.3

=== debian/changelog ===
sheepdog (0.7.3-1) unstable; urgency=low

  * Imported Upstream version 0.7.3
    The upstream has also the debian/* so merged with them.
  * Remove patches merged upstream
  * Don't source /lib/init/vars.sh any more
  * Use canonical vcs url and update homepage

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 22 Sep 2013 15:32:01 +0800

## sheepdog 0.7.5

=== debian/changelog ===
sheepdog (0.7.5-1) unstable; urgency=low

  * New upstream release 0.7.5: Remove patch
    Makefile-am-CPPFLAGS-instead-INCLUDES, merged to upstream
  * Use subdir-objects AC option to remove automake warning.
  * Define EFD_SEMAPHORE if not exists.
  * Build only for linux-any: eventfd is used.
  * New policy version 3.9.5.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 21 Nov 2013 11:11:56 +0800

=== debian/control ===
Source: sheepdog
Section: admin
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 bash-completion,
 pkg-config,
 libcorosync-dev,
 liburcu-dev,
 libzookeeper-mt-dev [!hppa],
 libfuse-dev,
 po-debconf
Standards-Version: 3.9.5
Homepage: http://sheepdog.github.io/sheepdog
Vcs-Browser: http://anonscm.debian.org/?p=openstack/sheepdog.git
Vcs-Git: git://anonscm.debian.org/openstack/sheepdog.git

Package: sheepdog
Architecture: linux-any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: corosync
Description: distributed storage system for QEMU
 Sheepdog provides highly available block level storage volumes that can be
 attached to QEMU virtual machines. Sheepdog scales to several hundred
 nodes, and supports advanced volume management features such as snapshots,
 cloning, and thin provisioning.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 VERSION         ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
 DEBFLAVOR       ?= $(shell dpkg-parsechangelog | grep -E ^Distribution: | cut -d" " -f2)
 DEBPKGNAME      ?= $(shell dpkg-parsechangelog | grep -E ^Source: | cut -d" " -f2)
-UPSTREAM_GIT    ?= git://github.com/collie/sheepdog.git
+UPSTREAM_GIT    ?= git://github.com/sheepdog/sheepdog.git
 GIT_TAG         ?= $(shell echo v'$(VERSION)' | sed -e 's/~/_/')
 
 %:
@@ -13,6 +13,12 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz -z9
+
+override_dh_autoreconf:
+	dh_autoreconf --mode=timesize
+
+override_dh_auto_build:
+	dh_auto_build --parallel
 
 UNAME := $(shell uname)
 ifeq ($(UNAME),Linux)
@@ -28,7 +34,7 @@
 	dh_bash-completion
 
 get-vcs-source:
-	git remote add upstream $(UPSTREAM_GIT) || true  
+	git remote add upstream $(UPSTREAM_GIT) || true
 	git fetch upstream
 	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] ; then \
 		git archive --prefix=$(DEBPKGNAME)-$(GIT_TAG)/ $(GIT_TAG) | xz >../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
@@ -53,7 +59,7 @@
 gen-upstream-changelog:
 	git checkout master
 	git reset --hard $(GIT_TAG)
-	git log >$(CURDIR)/../CHANGELOG 
+	git log >$(CURDIR)/../CHANGELOG
 	git checkout debian/$(DEBFLAVOR)
 	mv $(CURDIR)/../CHANGELOG $(CURDIR)/debian/CHANGELOG
 	git add $(CURDIR)/debian/CHANGELOG

## sheepdog 0.8.1

=== debian/changelog ===
sheepdog (0.8.1-4) unstable; urgency=medium

  * Use KILL to stop daemon.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 18 May 2014 23:19:28 +0800

sheepdog (0.8.1-3) unstable; urgency=medium

  * Enable http simple storage support.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 30 Apr 2014 10:36:44 +0800

sheepdog (0.8.1-2) unstable; urgency=medium

  * Fix bash completion (Closes: #745108).

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 28 Apr 2014 21:49:10 +0800

sheepdog (0.8.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.1
  * Fix gitweb URL.
  * Refreshed patches

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 23 Mar 2014 02:07:06 +0800

## sheepdog 0.8.3

=== debian/changelog ===
sheepdog (0.8.3-4.1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * Non-maintainer upload.
  * d/control: update build-deps on corosync, libcorosync-dev no longer
    exists.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 15 Jan 2016 13:33:54 +0100

sheepdog (0.8.3-4) unstable; urgency=medium

  * Refreshed patches.
  * Added patch for the script that generates the bash_completion
    file to produce stable output in order to make builds reproducible.
    Thanks to Reiner Herrmann <reiner@reiner-h.de> for the bug report and
    patch (Closes: #775229).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Jan 2015 15:25:09 +0000

sheepdog (0.8.3-3) unstable; urgency=medium

  * Initial Dutch translation of debconf messages thanks to Frans
    Spiesschaert <Frans.Spiesschaert@yucom.be> (Closes: #767245).

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 14:25:49 +0000

sheepdog (0.8.3-2) unstable; urgency=medium

  * Initial Dutch translation of debconf messages thanks to Frans
    Spiesschaert <Frans.Spiesschaert@yucom.be> (Closes: #767245).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Jan 2015 16:07:48 +0000

sheepdog (0.8.3-1) unstable; urgency=medium

  * New upstream release 0.8.3.
  * Add --upgrade options to start sheep(s).

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 25 Aug 2014 15:30:51 +0800

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,18 @@
  dh-autoreconf,
  bash-completion,
  pkg-config,
- libcorosync-dev,
+ libcorosync-common-dev,
+ libcpg-dev,
+ libcfg-dev,
  liburcu-dev,
  libzookeeper-mt-dev [!hppa],
  libfuse-dev,
- po-debconf
+ po-debconf,
+ libfcgi-dev,
+ libcurl4-gnutls-dev
 Standards-Version: 3.9.5
 Homepage: http://sheepdog.github.io/sheepdog
-Vcs-Browser: http://anonscm.debian.org/?p=openstack/sheepdog.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/sheepdog.git
 Vcs-Git: git://anonscm.debian.org/openstack/sheepdog.git
 
 Package: sheepdog

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- ${ZOOKEEPER}
+	dh_auto_configure -- ${ZOOKEEPER} --enable-http
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3
https://github.com/sheepdog/sheepdog/tags .*/v(.*).tar.gz
